"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EyeInvisibleOutlinedIcon = void 0;
var React = _interopRequireWildcard(require("react"));
var _AelfIcon = require("../icon/AelfIcon");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var AelfSVGComponent = function AelfSVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("g", {
    fill: "#E0E0E0"
  }, /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M1.045 2.282a.25.25 0 0 1 0-.353l.884-.884a.25.25 0 0 1 .354 0l14.672 14.672a.25.25 0 0 1 0 .354l-.884.884a.25.25 0 0 1-.354 0l-2.823-2.823c-3.085 1.793-7.155 1.28-9.675-1.543L.721 9.79a1.188 1.188 0 0 1 0-1.582l2.498-2.798c.151-.17.308-.331.47-.484L1.046 2.282Zm3.883 3.883a6.1 6.1 0 0 0-.404.411L2.361 9l2.163 2.423a6.003 6.003 0 0 0 7.076 1.414l-1.143-1.143a3.063 3.063 0 0 1-4.151-4.151L4.928 6.165ZM7.69 8.927a1.313 1.313 0 0 0 1.384 1.384L7.69 8.926Z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "m5.937 3.45 1.366 1.366a5.997 5.997 0 0 1 6.173 1.76L15.639 9l-1.958 2.193 1.24 1.24 2.358-2.642a1.187 1.187 0 0 0 0-1.582l-2.498-2.798c-2.3-2.575-5.89-3.229-8.844-1.961Z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "m8.47 5.983 3.547 3.546A3.063 3.063 0 0 0 8.47 5.983Z"
  })));
};
AelfSVGComponent.defaultProps = {
  viewBox: "0 0 18 18",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
const componentName = 'EyeInvisibleOutlinedIcon';
const EyeInvisibleOutlinedIcon = exports.EyeInvisibleOutlinedIcon = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(_AelfIcon.AelfIcon, _extends({
    component: AelfSVGComponent,
    componentName: componentName,
    defaultWidth: 18,
    defaultHeight: 18,
    ref: ref
  }, props));
});
EyeInvisibleOutlinedIcon.displayName = componentName;