"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NextButtonIcon = void 0;
var React = _interopRequireWildcard(require("react"));
var _AelfIcon = require("../icon/AelfIcon");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var AelfSVGComponent = function AelfSVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.893 30.179a1 1 0 0 0 0-.765L4.723 9.688a1 1 0 0 1 .541-1.306l.74-.307a1 1 0 0 1 1.306.542l8.614 20.795a1 1 0 0 1 0 .766L7.31 50.975a1 1 0 0 1-1.307.541l-.739-.306a1 1 0 0 1-.541-1.307l8.17-19.724Z"
  }));
};
AelfSVGComponent.defaultProps = {
  viewBox: "0 0 16 60",
  fill: "currentColor",
  xmlns: "http://www.w3.org/2000/svg"
};
const componentName = 'NextButtonIcon';
const NextButtonIcon = exports.NextButtonIcon = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(_AelfIcon.AelfIcon, _extends({
    component: AelfSVGComponent,
    componentName: componentName,
    defaultWidth: 16,
    defaultHeight: 60,
    ref: ref
  }, props));
});
NextButtonIcon.displayName = componentName;